### Class

# Clapper MediaItem

#### Description [src]

    final class Clapper.MediaItem : Gst.Object
    {
      /* No available fields */
    }

Represents a media item.

A newly created media item must be added to player `ClapperQueue` first in order to be played.

#### Hierarchy

#### Ancestors

- GstObject
- GInitiallyUnowned
- GObject

#### Constructors

###### clapper_media_item_new

Creates new `ClapperMediaItem` from URI.

###### clapper_media_item_new_from_file

Creates new `ClapperMediaItem` from `GFile`.

#### Instance methods

###### clapper_media_item_get_container_format

Get media item container format.

###### clapper_media_item_get_duration

Get media item duration as decimal number in seconds.

###### clapper_media_item_get_id

Get the unique ID of `ClapperMediaItem`.

###### clapper_media_item_get_suburi

Get the additional URI of `ClapperMediaItem`.

###### clapper_media_item_get_timeline

Get the `ClapperTimeline` assosiated with `item`.

###### clapper_media_item_get_title

Get media item title.

###### clapper_media_item_get_uri

Get the URI of `ClapperMediaItem`.

###### clapper_media_item_set_suburi

Set the additional URI of `ClapperMediaItem`.

##### Methods inherited from GstObject (25)

Please see GstObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clapper.MediaItem:container-format

Media container format.

###### Clapper.MediaItem:duration

Media duration as a decimal number in seconds.

###### Clapper.MediaItem:id

Media Item ID.

###### Clapper.MediaItem:suburi

Media additional URI.

###### Clapper.MediaItem:timeline

Media timeline.

###### Clapper.MediaItem:title

Media title.

###### Clapper.MediaItem:uri

Media URI.

##### Properties inherited from GstObject (2)

###### Gst.Object:name

No description available.

###### Gst.Object:parent

The parent of the object. Please note, that when changing the ‘parent’ property, we don’t emit `GObject::notify` and `GstObject::deep-notify` signals due to locking issues. In some cases one can use `GstBin::element-added` or `GstBin::element-removed` signals on the parent to achieve a similar effect.

#### Signals

##### Signals inherited from GstObject (1)

###### GstObject::deep-notify

The deep notify signal is used to be notified of property changes. It is typically attached to the toplevel bin to receive notifications from all the elements contained in that bin.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClapperMediaItemClass {
      GstObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GstObjectClass`

  No description available.